# The only Q_OBJECT lines are in securestream.{h,cpp} and we deal with them below.
# Give metasources a file with no Q_OBJECT line to stop unsermake assuming we want METASOURCES = AUTO
#METASOURCES = AUTO

noinst_LTLIBRARIES = libiris_xmpp_core.la
AM_CPPFLAGS = $(IDN_CFLAGS)
INCLUDES = -I$(srcdir)/../include -I$(srcdir)/../xmpp-core -I$(srcdir)/../xmpp-im -I$(srcdir)/../../cutestuff/util -I$(srcdir)/../../cutestuff/network -I$(srcdir)/../../qca/src $(all_includes)

libiris_xmpp_core_la_CPPFLAGS = $(IDN_CFLAGS)
libiris_xmpp_core_la_LDFLAGS = $(IDN_LIBS)
libiris_xmpp_core_la_SOURCES = \
	connector.cpp \
	jid.cpp \
	securestream.cpp \
	tlshandler.cpp \
	hash.cpp \
	protocol.cpp \
	stream.cpp \
	xmlprotocol.cpp \
	parser.cpp \
	simplesasl.cpp

libiris_xmpp_core_la_COMPILE_FIRST = securestream.moc

CLEANFILES = securestream.moc
securestream.moc: $(srcdir)/securestream.cpp $(srcdir)/securestream.h
	${TQTMOC} $(srcdir)/securestream.h -o securestream.moc.h
	cp $(srcdir)/securestream.cpp securestream.moc.in.cpp
	tqt-replace securestream.moc.in.cpp
	${MOC} securestream.moc.in.cpp > securestream.moc.cpp
	cat securestream.moc.h > $@
	cat securestream.moc.cpp >> $@
	rm securestream.moc.h
	rm securestream.moc.cpp
	rm securestream.moc.in.cpp

KDE_OPTIONS = nofinal
